package com.trade.service.thirdparty.sop.dto;

import java.math.BigDecimal;

/**
 * SOP Risk Investigation 企业风险排查
 */
public class SOPRiskInvestigation {

    private Long id;// 风险排查id
    private String startDate;// 注册日期
    private String registCapi;// 注册资本
    private Integer shixin;// 失信size
    private Integer sumptuary;// 限制高消费size
    private BigDecimal zhixingAmount;// 被执行总金额
    private Boolean existFinancialOrPrivateLending;// 是否存在金融纠纷或民间借贷纠纷
    private Integer taxAbnormalCount;// 税务非正常户count
    private Integer seriousIllegalCount;// 严重违法count
    private Integer taxOweNoticeCount;// 欠税公告股权冻结count
    private Integer taxIllegalCount;// 税务违法count
    private Integer equityFreezeCount;// 股权冻结count

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getRegistCapi() {
        return registCapi;
    }

    public void setRegistCapi(String registCapi) {
        this.registCapi = registCapi;
    }

    public Integer getShixin() {
        return shixin;
    }

    public void setShixin(Integer shixin) {
        this.shixin = shixin;
    }

    public Integer getSumptuary() {
        return sumptuary;
    }

    public void setSumptuary(Integer sumptuary) {
        this.sumptuary = sumptuary;
    }

    public BigDecimal getZhixingAmount() {
        return zhixingAmount;
    }

    public void setZhixingAmount(BigDecimal zhixingAmount) {
        this.zhixingAmount = zhixingAmount;
    }

    public Boolean getExistFinancialOrPrivateLending() {
        return existFinancialOrPrivateLending;
    }

    public void setExistFinancialOrPrivateLending(Boolean existFinancialOrPrivateLending) {
        this.existFinancialOrPrivateLending = existFinancialOrPrivateLending;
    }

    public Integer getTaxAbnormalCount() {
        return taxAbnormalCount;
    }

    public void setTaxAbnormalCount(Integer taxAbnormalCount) {
        this.taxAbnormalCount = taxAbnormalCount;
    }

    public Integer getSeriousIllegalCount() {
        return seriousIllegalCount;
    }

    public void setSeriousIllegalCount(Integer seriousIllegalCount) {
        this.seriousIllegalCount = seriousIllegalCount;
    }

    public Integer getTaxOweNoticeCount() {
        return taxOweNoticeCount;
    }

    public void setTaxOweNoticeCount(Integer taxOweNoticeCount) {
        this.taxOweNoticeCount = taxOweNoticeCount;
    }

    public Integer getTaxIllegalCount() {
        return taxIllegalCount;
    }

    public void setTaxIllegalCount(Integer taxIllegalCount) {
        this.taxIllegalCount = taxIllegalCount;
    }

    public Integer getEquityFreezeCount() {
        return equityFreezeCount;
    }

    public void setEquityFreezeCount(Integer equityFreezeCount) {
        this.equityFreezeCount = equityFreezeCount;
    }
}
